#ifndef _NEO1973_H
#define _NEO1973_H

enum wakeup_reason {
	NEO1973_WAKEUP_NONE,
	NEO1973_WAKEUP_RESET,
	NEO1973_WAKEUP_POWER_KEY,
	NEO1973_WAKEUP_CHARGER,
	NEO1973_WAKEUP_ALARM,
};

extern unsigned int neo1973_wakeup_cause;

void neo1973_poweroff(void);
void neo1973_backlight(int on);
void neo1973_vibrator(int on);

#endif
